Bug 174360 - [new port] net/p5-Net-Works
Summary: [new port] net/p5-Net-Works
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-11 06:40 UTC by Kurt Jaeger
Modified: 2013-08-22 17:30 UTC (History)
0 users

See Also:


Attachments
file.shar (3.12 KB, text/plain)
2012-12-11 06:40 UTC, Kurt Jaeger
no flags Details
p5-Net-Works.shar (2.26 KB, application/x-shar)
2012-12-19 20:20 UTC, Kurt Jaeger
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kurt Jaeger 2012-12-11 06:40:00 UTC
	[new port] net/p5-Net-Works

How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2012-12-11 06:40:21 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (new ports should be change-requests) (via the GNATS Auto 
Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-12-11 06:40:23 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Philippe Audeoud freebsd_committer 2012-12-19 12:44:54 UTC
State Changed
From-To: open->feedback

Please, no hardlink. Use %%SITE_PERL%% etc in pkg-plist
Comment 4 Kurt Jaeger 2012-12-19 20:20:59 UTC
Hi!

> Please, no hardlink. Use %%SITE_PERL%% etc in pkg-plist
> 
> http://www.freebsd.org/cgi/query-pr.cgi?pr=174360

Attached is the new version.

-- 
pi@opsec.eu            +49 171 3101372                         8 years to go !
Comment 5 Eitan Adler freebsd_committer freebsd_triage 2012-12-20 00:14:16 UTC
State Changed
From-To: feedback->open

Submitter provided requested information
Comment 6 Mathieu Arnold freebsd_committer 2013-08-22 15:07:31 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 7 Mathieu Arnold freebsd_committer 2013-08-22 16:28:21 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 8 dfilter service freebsd_committer 2013-08-22 17:27:49 UTC
Author: mat
Date: Thu Aug 22 15:28:16 2013
New Revision: 325208
URL: http://svnweb.freebsd.org/changeset/ports/325208

Log:
  Add p5-Net-Works 0.06, APIs for IP addresses and networks.
  
  PR:		ports/174360
  Submitted by:	Kurt Jaeger <fbsd-ports@opsec.eu>

Added:
  head/net/p5-Net-Works/
  head/net/p5-Net-Works/Makefile   (contents, props changed)
  head/net/p5-Net-Works/distinfo   (contents, props changed)
  head/net/p5-Net-Works/pkg-descr   (contents, props changed)
  head/net/p5-Net-Works/pkg-plist   (contents, props changed)
Modified:
  head/net/Makefile

Modified: head/net/Makefile
==============================================================================
--- head/net/Makefile	Thu Aug 22 15:22:18 2013	(r325207)
+++ head/net/Makefile	Thu Aug 22 15:28:16 2013	(r325208)
@@ -697,6 +697,7 @@
     SUBDIR += p5-Net-Whois-IP
     SUBDIR += p5-Net-Whois-RIPE
     SUBDIR += p5-Net-Whois-Raw
+    SUBDIR += p5-Net-Works
     SUBDIR += p5-Net-Write
     SUBDIR += p5-Net-XWhois
     SUBDIR += p5-Net-Yadis

Added: head/net/p5-Net-Works/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-Works/Makefile	Thu Aug 22 15:28:16 2013	(r325208)
@@ -0,0 +1,29 @@
+# Created by: Kurt Jaeger <fbsd-ports@opsec.eu>
+# $FreeBSD$
+#
+
+PORTNAME=	Net-Works
+PORTVERSION=	0.06
+CATEGORIES=	net perl5
+MASTER_SITES=	CPAN
+MASTER_SITE_SUBDIR=	CPAN:DROLSKY
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	fbsd-ports@opsec.eu
+COMMENT=	APIs for IP addresses and networks
+
+LICENSE=	ART20
+
+BUILD_DEPENDS=	p5-List-AllUtils>=0.03:${PORTSDIR}/devel/p5-List-AllUtils \
+		p5-Math-Int128>=0.07:${PORTSDIR}/math/p5-Math-Int128 \
+		p5-namespace-autoclean>=0.13:${PORTSDIR}/devel/p5-namespace-autoclean \
+		p5-MooseX-Types>=0.35:${PORTSDIR}/devel/p5-MooseX-Types
+RUN_DEPENDS:=	${BUILD_DEPENDS}
+
+USES=		perl5
+USE_PERL5=	configure
+
+MAN3=		Net::Works.3 Net::Works::Util.3 Net::Works::Address.3 \
+		Net::Works::Network.3
+
+.include <bsd.port.mk>

Added: head/net/p5-Net-Works/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-Works/distinfo	Thu Aug 22 15:28:16 2013	(r325208)
@@ -0,0 +1,2 @@
+SHA256 (Net-Works-0.06.tar.gz) = e5b8a36d122a2f1c50ffca70f7c5004685a95827610c53e8ad4cbf5ecc976c40
+SIZE (Net-Works-0.06.tar.gz) = 19044

Added: head/net/p5-Net-Works/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-Works/pkg-descr	Thu Aug 22 15:28:16 2013	(r325208)
@@ -0,0 +1,4 @@
+Net-Works provides a APIs for IP addresses and networks
+similar to NetAddr::IP, but claims to be cleaner.
+
+WWW: http://search.cpan.org/dist/Net-Works/

Added: head/net/p5-Net-Works/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/net/p5-Net-Works/pkg-plist	Thu Aug 22 15:28:16 2013	(r325208)
@@ -0,0 +1,14 @@
+%%SITE_PERL%%/Net/Works.pm
+%%SITE_PERL%%/Net/Works/Address.pm
+%%SITE_PERL%%/Net/Works/Network.pm
+%%SITE_PERL%%/Net/Works/Role/IP.pm
+%%SITE_PERL%%/Net/Works/Types.pm
+%%SITE_PERL%%/Net/Works/Types/Internal.pm
+%%SITE_PERL%%/Net/Works/Util.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Net/Works/.packlist
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Net/Works
+@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/Net
+@dirrm %%SITE_PERL%%/Net/Works/Types
+@dirrm %%SITE_PERL%%/Net/Works/Role
+@dirrm %%SITE_PERL%%/Net/Works
+@dirrm %%SITE_PERL%%/Net
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"